syntax = "proto3";
option go_package = ".;pb";

enum ShopType {
    Null = 0;
    GoldShop = 1;
    DiamondShop = 2;
    PVPShop = 3;
    PVEShop = 4;
    AllianceShop = 5;
}

message UserShopData {
    int64 LastRefreshTime = 1;          //最后一次刷新时间
    int32 ManualRefreshNum = 2;         //手动刷新次数
    repeated int32 Items = 3;           //商品列表
}

message DBShop {
    string id = 1;                      //@go_tags(`bson:"_id"`) 装备id   
    string uid = 2;                     //@go_tags(`bson:"uid"`) 装备id
    UserShopData goldShop  = 3;         //@go_tags(`bson:"goldShop"`)金币商店数据
    UserShopData diamondShop  = 4;      //@go_tags(`bson:"diamondShop"`)金币商店数据
    UserShopData pvpShop  = 5;          //@go_tags(`bson:"pvpShop"`)金币商店数据
    UserShopData pveShop  = 6;          //@go_tags(`bson:"pveShop"`)金币商店数据
    UserShopData allianceShop  = 7;     //@go_tags(`bson:"allianceShop"`)金币商店数据
}

message DBShopItem {
    string id = 1;                      //@go_tags(`bson:"_id"`) 装备id   
    string uid = 2;                     //@go_tags(`bson:"uid"`) 装备id
    int32 goodsId = 3;                  //@go_tags(`bson:"goodsId"`)商品Id
    int32 buyNum = 4;                   //@go_tags(`bson:"buyNum"`)购买数量
    int64 lastBuyTime = 5;              //@go_tags(`bson:"lastBuyTime"`)最后一次购买的时间
}